Subject: Re: [bug#42020] [PATCH 0/4] Add daemon support for SHA3 and BLAKE2s

From: Ludovic Courtès <[email-masked]>
Date: Sat, 27 Jun 2020 23:44:24 +0200

Ludovic Courtès <[email-masked]> skribis:

> This patch series adds daemon support for a few more cryptographic
> hash functions, for use by fixed-output derivations (origins) and
> the likes.  We should wait for a year or so before using those
> algorithms in package definitions so we can assume that the new
> daemon is widespread.

Pushed!

  0505eda9c7 packages: Recognize SHA3 and BLAKE2s for 'content-hash'.
  8e6c1415d8 daemon: Recognize SHA3 and BLAKE2s.
  8dc6c38785 daemon: Remove OpenSSL hash compatibility wrappers.
  3fb6b8f304 daemon: Map directly to gcrypt hash functions.

Ludo’.